/* SYNTAX1.CPP -- demonstrate structure declarations */
/* Jim Fawcett, CSE687                               */
     
#include <iostream.h>        /* note: no semicolon for preprocs  */
     
void main() {
     
  cout << "--- syntax1.cpp ---\n\n";
     
  struct first_str {         /* structure declaration            */
     
    int    x;                /* structure elements can't be      */
    double y;                /* initialized in declaration       */
     
  } a = { 1, 4.5 };            /* a is first copy of first_struct  */
				  /* initialized here                 */
  int    u = a.x;            /* accessing a's elements           */
  double v = a.y;
  cout << "a.x = " << u << ",  a.y = " << v << "\n";
     
  first_str b = { 2, 3.1 };  /* second copy of structure defined */
  u = b.x;                   /* accessing b's elements           */
  v = b.y;
  cout << "b.x = " << u << ",  b.y = " << v << "\n";
     
  first_str *c;              /* pointer to a first_struct        */
  c = &b;                    /* now b is the one it points to    */
  u = c -> x;                /* here's how we dereference        */
  v = c -> y;
  cout << "c -> x = " << u << ",  c -> y = " << v << "\n\n";
}
